summaryrefslogtreecommitdiff
path: root/app/run-test.sh
diff options
context:
space:
mode:
authorCody McGinnis <brainwart@gmail.com>2020-08-28 16:21:31 -0400
committerCody McGinnis <brainwart@gmail.com>2020-08-28 16:21:31 -0400
commitf02fa01e9a9af1a1637a387f3e8044a791b47ced (patch)
tree8100b774cdcaa5dce866573c470d0f76703d476e /app/run-test.sh
parent6cd46b95045a71570af7923f85449f223d976bdf (diff)
fix(test): change the layout
Diffstat (limited to 'app/run-test.sh')
-rwxr-xr-xapp/run-test.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/app/run-test.sh b/app/run-test.sh
new file mode 100755
index 0000000..4ed12a2
--- /dev/null
+++ b/app/run-test.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+if [ -z "$1" ]; then
+ echo "Usage: ./run-test.sh <path to testcase>"
+ exit 1
+elif [ "$1" = "all" ]; then
+ find tests -name native_posix.keymap -exec dirname \{\} \; | xargs -l -P 2 ./run-test.sh
+ exit $?
+fi
+
+testcase="$1"
+echo "Running $testcase:"
+
+west build --pristine -d build/$testcase -b native_posix -- -DZMK_CONFIG=$testcase > /dev/null
+./build/$testcase/zephyr/zmk.exe | sed -e "s/.*> //" | sed -n -f $testcase/events.patterns > build/$testcase/keycode_events.log
+
+diff -au $testcase/keycode_events.snapshot build/$testcase/keycode_events.log